# AudioPlayer
**Inherits:** [AudioStreamPlayer](https://docs.godotengine.org/de/4.x/classes/class_audiostreamplayer.html)
    




## Methods

| Returns | Name                                                                                                             |
| ------- | ---------------------------------------------------------------------------------------------------------------- |
| void    | [_ready](#-ready) (  )                                                                                           |
| void    | [play_effect](#play-effect) ( sound: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) ) |





## Constants

### click_sound = `<Object>` {#const-click-sound}

No description provided yet.

### spawn_sound = `<Object>` {#const-spawn-sound}

No description provided yet.

### open_menu = `<Object>` {#const-open-menu}

No description provided yet.

### close_menu = `<Object>` {#const-close-menu}

No description provided yet.



## Method Descriptions

###  _ready ( ) -> void {#-ready}

No description provided yet.

###  play_effect (sound: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html)  ) -> void {#play-effect}

Plays a given sound effect
